Package org.eclipse.cdt.core.parser.util

## Class CharArraySet

- java.lang.Object
- - org.eclipse.cdt.core.parser.util.HashTable
  - - org.eclipse.cdt.core.parser.util.CharTable
    - - org.eclipse.cdt.core.parser.util.CharArraySet

All Implemented Interfaces:
  `Cloneable`

    public class CharArraySet
    extends CharTable

Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

Fields
`static CharArraySet` `EMPTY_SET` An empty immutable `CharArraySet`.

### Fields inherited from class org.eclipse.cdt.core.parser.util.CharTable

`keyTable`

### Fields inherited from class org.eclipse.cdt.core.parser.util.HashTable

`currEntry, hashTable, minHashSize, nextTable`

### Constructor Summary

Constructors
`CharArraySet​(int initialSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAll​(List<char[]> list)`
`void` `addAll​(CharArraySet set)`
`void` `put​(char[] key)`
`boolean` `remove​(char[] key)`

### Methods inherited from class org.eclipse.cdt.core.parser.util.CharTable

`addIndex, addIndex, clear, clone, containsKey, containsKey, findKey, hash, hash, hash, keyArray, keyAt, keys, lookup, lookup, lookup, removeEntry, resize, toList`

### Methods inherited from class org.eclipse.cdt.core.parser.util.HashTable

`capacity, countCollisions, dumpNexts, isEmpty, linkIntoHashTable, partition, rehash, removeEntry, resize, size, sort`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY_SET

    public static final CharArraySet EMPTY_SET

An empty immutable `CharArraySet`.

### Constructor Detail

#### CharArraySet

    public CharArraySet​(int initialSize)

### Method Detail

#### put

    public void put​(char[] key)

#### addAll

    public void addAll​(List<char[]> list)

#### addAll

    public void addAll​(CharArraySet set)

#### remove

    public final boolean remove​(char[] key)